LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
profile.h File Reference
`#include "sal/config.h"`
`#include "rtl/ustring.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Macros
#define | osl_Profile_DEFAULT 0x0000
#define | osl_Profile_SYSTEM 0x0001 /* use system depended functionality */
#define | osl_Profile_READLOCK 0x0002 /* lock file for reading */
#define | osl_Profile_WRITELOCK 0x0004 /* lock file for writing */
#define | osl_Profile_FLUSHWRITE 0x0010 /* writing only with flush */

## Typedefs
typedef sal_uInt32 | oslProfileOption
typedef void * | oslProfile

## Functions
SAL_DLLPUBLIC oslProfile | osl_openProfile (rtl_uString *strProfileName, oslProfileOption Options) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_closeProfile (oslProfile Profile) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_flushProfile (oslProfile Profile) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_readProfileString (oslProfile Profile, const char *pszSection, const char *pszEntry, char *pszString, sal_uInt32 MaxLen, const char *pszDefault) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_readProfileBool (oslProfile Profile, const char *pszSection, const char *pszEntry, sal_Bool Default) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_uInt32 | osl_readProfileIdent (oslProfile Profile, const char *pszSection, const char *pszEntry, sal_uInt32 FirstId, const char *Strings[], sal_uInt32 Default) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_writeProfileString (oslProfile Profile, const char *pszSection, const char *pszEntry, const char *pszString) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_writeProfileBool (oslProfile Profile, const char *pszSection, const char *pszEntry, sal_Bool Value) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_writeProfileIdent (oslProfile Profile, const char *pszSection, const char *pszEntry, sal_uInt32 FirstId, const char *Strings[], sal_uInt32 Value) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_Bool | osl_removeProfileEntry (oslProfile Profile, const char *pszSection, const char *pszEntry) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_uInt32 | osl_getProfileSectionEntries (oslProfile Profile, const char *pszSection, char *pszBuffer, sal_uInt32 MaxLen) SAL_COLD
| Deprecated API.
SAL_DLLPUBLIC sal_uInt32 | osl_getProfileSections (oslProfile Profile, char *pszBuffer, sal_uInt32 MaxLen) SAL_COLD
| Deprecated API.

## Macro Definition Documentation

## ◆ osl_Profile_DEFAULT

#define osl_Profile_DEFAULT 0x0000

## ◆ osl_Profile_FLUSHWRITE

#define osl_Profile_FLUSHWRITE 0x0010 /* writing only with flush */

## ◆ osl_Profile_READLOCK

#define osl_Profile_READLOCK 0x0002 /* lock file for reading */

## ◆ osl_Profile_SYSTEM

#define osl_Profile_SYSTEM 0x0001 /* use system depended functionality */

## ◆ osl_Profile_WRITELOCK

#define osl_Profile_WRITELOCK 0x0004 /* lock file for writing */

## Typedef Documentation

## ◆ oslProfile

typedef void* oslProfile

## ◆ oslProfileOption

typedef sal_uInt32 oslProfileOption

## Function Documentation

## ◆ osl_closeProfile()

SAL_DLLPUBLIC sal_Bool osl_closeProfile | ( | oslProfile | Profile | ) |

Deprecated API.

Close the opened profile an flush all data to the disk.

Parameters

  Profile | handle to an opened profile.

Deprecated

## ◆ osl_flushProfile()

SAL_DLLPUBLIC sal_Bool osl_flushProfile | ( | oslProfile | Profile | ) |

Deprecated API.

Deprecated

## ◆ osl_getProfileSectionEntries()

SAL_DLLPUBLIC sal_uInt32 osl_getProfileSectionEntries | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | char * | pszBuffer,
|  | sal_uInt32 | MaxLen )

Deprecated API.

Get all entries belonging to the specified section.

Returns
  Pointer to an array of pointers.

Deprecated

## ◆ osl_getProfileSections()

SAL_DLLPUBLIC sal_uInt32 osl_getProfileSections | ( | oslProfile | Profile,
|  | char * | pszBuffer,
|  | sal_uInt32 | MaxLen )

Deprecated API.

Get all section entries

Return values

  Pointer | to an array of pointers.

Deprecated

## ◆ osl_openProfile()

SAL_DLLPUBLIC oslProfile osl_openProfile | ( | rtl_uString * | strProfileName,
|  | oslProfileOption | Options )

Deprecated API.

Open or create a configuration profile.

Return values

  0 | if the profile could not be created, otherwise a handle to the profile.

Deprecated

## ◆ osl_readProfileBool()

SAL_DLLPUBLIC sal_Bool osl_readProfileBool | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | const char * | pszEntry,
|  | sal_Bool | Default )

Deprecated API.

Deprecated

## ◆ osl_readProfileIdent()

SAL_DLLPUBLIC sal_uInt32 osl_readProfileIdent | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | const char * | pszEntry,
|  | sal_uInt32 | FirstId,
|  | const char * | Strings[],
|  | sal_uInt32 | Default )

Deprecated API.

Deprecated

## ◆ osl_readProfileString()

SAL_DLLPUBLIC sal_Bool osl_readProfileString | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | const char * | pszEntry,
|  | char * | pszString,
|  | sal_uInt32 | MaxLen,
|  | const char * | pszDefault )

Deprecated API.

Deprecated

## ◆ osl_removeProfileEntry()

SAL_DLLPUBLIC sal_Bool osl_removeProfileEntry | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | const char * | pszEntry )

Deprecated API.

Acquire the mutex, block if already acquired by another thread.

Return values

  False | if section or entry could not be found.

Deprecated

## ◆ osl_writeProfileBool()

SAL_DLLPUBLIC sal_Bool osl_writeProfileBool | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | const char * | pszEntry,
|  | sal_Bool | Value )

Deprecated API.

Deprecated

## ◆ osl_writeProfileIdent()

SAL_DLLPUBLIC sal_Bool osl_writeProfileIdent | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | const char * | pszEntry,
|  | sal_uInt32 | FirstId,
|  | const char * | Strings[],
|  | sal_uInt32 | Value )

Deprecated API.

Deprecated

## ◆ osl_writeProfileString()

SAL_DLLPUBLIC sal_Bool osl_writeProfileString | ( | oslProfile | Profile,
|  | const char * | pszSection,
|  | const char * | pszEntry,
|  | const char * | pszString )

Deprecated API.

Deprecated